<?php
class Webexpert_Social_Bar_Watermark_Admin {

	private $plugin_name;
	private $version;

	public function __construct( $plugin_name, $version ) {
		$this->plugin_name = $plugin_name;
		$this->version = $version;
	}

	public function enqueue_styles() {
		wp_enqueue_style( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'css/webexpert-social-bar-watermark-admin.css', array(), $this->version, 'all' );
	}

	public function enqueue_scripts() {
		wp_enqueue_script( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'js/webexpert-social-bar-watermark-admin.js', array( 'jquery' ), $this->version, false );
        wp_localize_script( $this->plugin_name, 'myAjax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' )));
	}


    public function register_options_page() {
        if (function_exists('acf_add_options_page')) {
            $page = acf_add_options_page(array(
                'menu_title' => __('Socialbar Settings','webexpert-social-bar-watermark'),
                'menu_slug' => 'webexpert-social-bar-settings',
                'capability' => 'edit_posts',
                'redirect' => true,
                'parent_slug' => 'webexpert_plugins',
            ));
        }
    }

    public function add_featured_image_display_settings($content, $post_id, $thumbnail_id=null) {
        $field_label="";
        if (has_post_thumbnail($post_id)) {
            $nonce = wp_create_nonce("regenerate_socialbar");
            $link = admin_url('admin-ajax.php?action=regenerate_socialbar&post_id='.$post_id.'&nonce='.$nonce);
            $field_label= '<a id="socialbar-regenerate-btn" data-nonce="' . $nonce . '" data-post="' . $post_id . '" href="' . $link . '">'.__("Regenerate Socialbar Image",$this->plugin_name).'</a>';
        }
    	return $content .= $field_label;
    }

    public function webexpert__return_false() {
        return false;
    }
}